// This file is released under the 3-clause BSD license. See COPYING-BSD.

function builder_gw_c()


  // PutLhsVar managed by user in sci_sum and in sci_sub
  // if you do not this variable, PutLhsVar is added
  // in gateway generated (default mode in scilab 4.x and 5.x)
  WITHOUT_AUTO_PUTLHSVAR = %t;

  tbx_build_gateway("scisysam_c", ..
                    ['iCanOuvrir','can_ouvrir';'iCanFermer','can_fermer';'iCanConfigEntrees','can_config_entrees';'iCanConfigTrigger','can_config_trigger';'iCanConfigEchantillon','can_config_echantillon';'iCanAcquerir','can_acquerir';'iCanLancer','can_lancer';'iCanAcquerirAvecSorties','can_acquerir_avec_sorties';'iCanLancerAvecSorties','can_lancer_avec_sorties';'iCanEntrees','can_entrees';'iCanTemps','can_temps';'iCanPaquet','can_paquet';'iCanConfigSortie','can_config_sortie';'iCanDeclencherSorties','can_declencher_sorties';'iCanStopperSorties','can_stopper_sorties';'iCanActiverLecture','can_activer_lecture';'iCanLire','can_lire';'iCanDesactiverLecture','can_desactiver_lecture';'iCanEcrire','can_ecrire'], ..
                    ["scisysam.c","scilabLink.c","sysamSP5Link.c","sysamPCILink.c"], ..
                    get_absolute_file_path("builder_gateway_c.sce"), ..
                    ["pthreadVC2"], ..
                    "");
                   
endfunction

builder_gw_c();
clear builder_gw_c; // remove builder_gw_c on stack
