typedef struct {
    int nRows;
    int nCols;
    int *data;
} int32Array;

typedef struct {
    int nRows;
    int nCols;
    double *data;
} doubleArray;

typedef struct {
    int nRows;
    int nCols;
    int *data;
} booleanArray;

typedef struct {
    int nRows;
    int nCols;
    char **data;
    
} stringArray;

int int32ArrayReading(int pos, int32Array *ia);
int doubleArrayReading(int pos, doubleArray *da);
int booleanArrayReading(int pos, booleanArray *ba);
int stringArrayReading(int pos, stringArray *sa);
int doubleArrayWriting(int pos, doubleArray *da);
int int32ArrayWriting(int pos, int32Array *sa);
int stringArrayFree(stringArray *sa);
